Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007421opensim[REGION] OpenSim Corepublic2015-01-21 01:582015-08-18 09:35
Reporteraiaustin 
Assigned Tojustincc 
PrioritynormalSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007421: ERROR - OpenSim.Framework.Util [UTIL]: Util STP Exception: System.NotSupportedException: The URI prefix is not recognized
DescriptionAn incoming Hypergrid traveller arriving on Openvue grid caused a crash of OpenSim.exe. The full log of the incoming messages is attached as file "2015-01-21-Openvue-OpenSim.log.txt"

2015-01-21 05:41:56,259 ERROR - OpenSim.Framework.Util [UTIL]: Util STP threadfunc 7541 terminated with error

System.NotSupportedException: The URI prefix is not recognized.

   at System.Net.WebRequest.Create(Uri requestUri, Boolean useUriBase)

   at OpenSim.Services.Connectors.HeloServicesConnector.Helo() in d:\Temp\opensim-97ac80d\OpenSim\Services\Connectors\Hypergrid\HeloServicesConnector.cs:line 91

   at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.GetConnector(String url) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\ServiceConnectorsOut\Inventory\HGInventoryBroker.cs:line 657

   at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.GetRootFolder(UUID userID) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\ServiceConnectorsOut\Inventory\HGInventoryBroker.cs:line 339

   at OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule.SetAppearanceAssets(UUID userID, AvatarAppearance appearance) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Avatar\AvatarFactory\AvatarFactoryModule.cs:line 676

   at OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule.SaveAppearance(UUID agentid) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Avatar\AvatarFactory\AvatarFactoryModule.cs:line 649

   at OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule.<>c__DisplayClassc.<HandleAppearanceUpdateTimer>b__7(Object o) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\Avatar\AvatarFactory\AvatarFactoryModule.cs:line 614

   at OpenSim.Framework.Util.<>c__DisplayClass9.<FireAndForget>b__2(Object o) in d:\Temp\opensim-97ac80d\OpenSim\Framework\Util.cs:line 2230

2015-01-21 05:41:59,290 DEBUG - OpenSim.Region.CoreModules.Avatar.AvatarFactory.AvatarFactoryModule [AVFACTORY]: Received texture update for Sarah.Surrency @nemesis.redirectme.net b331253e-ecf3-4f29-911d-a60dd111d597

2015-01-21 05:41:59,306 DEBUG - OpenSim.Region.CoreModules.Avatar.BakedTextures.XBakesModule [XBakes]: stored 6 textures for user b331253e-ecf3-4f29-911d-a60dd111d597

2015-01-21 05:41:59,509 ERROR - OpenSim.Application [APPLICATION]:

APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs



Exception: System.NotSupportedException: The URI prefix is not recognized.



Server stack trace:

   at System.Net.WebRequest.Create(Uri requestUri, Boolean useUriBase)

   at OpenSim.Services.Connectors.HeloServicesConnector.Helo() in d:\Temp\opensim-97ac80d\OpenSim\Services\Connectors\Hypergrid\HeloServicesConnector.cs:line 91

   at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.GetConnector(String url) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\ServiceConnectorsOut\Inventory\HGInventoryBroker.cs:line 657

   at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.GetFolderContent(UUID userID, UUID folderID) in d:\Temp\opensim-97ac80d\OpenSim\Region\CoreModules\ServiceConnectorsOut\Inventory\HGInventoryBroker.cs:line 387

   at OpenSim.Region.Framework.Scenes.Scene.SendInventoryUpdate(IClientAPI client, InventoryFolderBase folder, Boolean fetchFolders, Boolean fetchItems) in d:\Temp\opensim-97ac80d\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 1567

   at OpenSim.Region.Framework.Scenes.Scene.SendInventoryAsync(IClientAPI remoteClient, UUID folderID, UUID ownerID, Boolean fetchFolders, Boolean fetchItems, Int32 sortOrder) in d:\Temp\opensim-97ac80d\OpenSim\Region\Framework\Scenes\Scene.PacketHandlers.cs:line 490

   at System.Runtime.Remoting.Messaging.StackBuilderSink._PrivateProcessMessage(IntPtr md, Object[] args, Object server, Object[]& outArgs)

   at System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)



Exception rethrown at [0]:

   at System.Runtime.Remoting.Proxies.RealProxy.EndInvokeHelper(Message reqMsg, Boolean bProxyCase)

   at System.Runtime.Remoting.Proxies.RemotingProxy.Invoke(Object NotUsed, MessageData& msgData)

   at OpenSim.Region.Framework.Scenes.Scene.SendInventoryDelegate.EndInvoke(IAsyncResult result)

   at OpenSim.Region.Framework.Scenes.Scene.SendInventoryComplete(IAsyncResult iar) in d:\Temp\opensim-97ac80d\OpenSim\Region\Framework\Scenes\Scene.PacketHandlers.cs:line 496

   at System.Runtime.Remoting.Messaging.AsyncResult.SyncProcessMessage(IMessage msg)

   at System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)

   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)

   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)

   at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()

   at System.Threading.ThreadPoolWorkQueue.Dispatch()



Application is terminating: True
Additional InformationThis is the first crash I have seen in a while on OpenSim 0.8.1 dev master.
TagsNo tags attached.
Git Revision or version numberr/25726
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewern/A
Attached Filestxt file icon 2015-01-21-Openvue-OpenSim.log.txt [^] (16,904 bytes) 2015-01-21 01:58 [Show Content]

- Relationships

-  Notes
(0027318)
justincc (administrator)
2015-01-21 13:10

Should be fixed by git master ed8d0fb (aef6fd6 is a general catch to stop any other failure on the code path from causing this problem).
(0027329)
aiaustin (developer)
2015-01-23 03:30

Thanks Justin.. I am updated to that (r/25734) and beyond now on AiLand and Openvue grids. I had seen a crash on both grids from same incoming HG visitor using a version r/25731 before the change.
(0029270)
aiaustin (developer)
2015-08-18 09:35

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-01-21 01:58 aiaustin New Issue
2015-01-21 01:58 aiaustin File Added: 2015-01-21-Openvue-OpenSim.log.txt
2015-01-21 13:10 justincc Note Added: 0027318
2015-01-21 13:10 justincc Status new => resolved
2015-01-21 13:10 justincc Resolution open => fixed
2015-01-21 13:10 justincc Assigned To => justincc
2015-01-23 03:30 aiaustin Note Added: 0027329
2015-08-18 09:35 aiaustin Note Added: 0029270
2015-08-18 09:35 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker